import { ElementRef, NgZone, OnInit, Renderer2 } from '@angular/core';
/**
 * If the window isn't scrollable, then place this on the scrollable container that draggable elements are inside. e.g.
 * ```html
  <div style="overflow: scroll" mwlDraggableScrollContainer>
    <div mwlDraggable>Drag me!</div>
  </div>
  ```
 */
export declare class DraggableScrollContainerDirective implements OnInit {
    elementRef: ElementRef<HTMLElement>;
    private renderer;
    private zone;
    /**
     * Trigger the DragStart after a long touch in scrollable container when true
     */
    activeLongPressDrag: boolean;
    /**
     * Configuration of a long touch
     * Duration in ms of a long touch before activating DragStart
     * Delta of the
     */
    longPressConfig: {
        duration: number;
        delta: number;
    };
    private cancelledScroll;
    /**
     * @hidden
     */
    constructor(elementRef: ElementRef<HTMLElement>, renderer: Renderer2, zone: NgZone);
    ngOnInit(): void;
    /**
     * @hidden
     */
    disableScroll(): void;
    /**
     * @hidden
     */
    enableScroll(): void;
    /**
     * @hidden
     */
    hasScrollbar(): boolean;
}
